gavl: Data Fields - Variables

### - a -

- average_16 : gavl_dsp_funcs_t
- average_8 : gavl_dsp_funcs_t
- average_f : gavl_dsp_funcs_t
- average_rgb15 : gavl_dsp_funcs_t
- average_rgb16 : gavl_dsp_funcs_t

### - b -

- bswap_16 : gavl_dsp_funcs_t
- bswap_32 : gavl_dsp_funcs_t
- bswap_64 : gavl_dsp_funcs_t

### - c -

- center_level : gavl_audio_format_t
- channel_locations : gavl_audio_format_t
- channel_stride : gavl_audio_frame_t
- channels : gavl_audio_frame_t
- chroma_placement : gavl_video_format_s

### - d -

- d : gavl_audio_samples_t , gavl_audio_channels_t
- dst_x : gavl_overlay_t
- dst_y : gavl_overlay_t
- duration : gavl_video_frame_t

### - f -

- f : gavl_audio_samples_t , gavl_audio_channels_t
- frame : gavl_overlay_t
- frame_duration : gavl_video_format_s
- frame_height : gavl_video_format_s
- frame_width : gavl_video_format_s
- framerate_mode : gavl_video_format_s

### - h -

- h : gavl_rectangle_i_t , gavl_rectangle_f_t

### - i -

- image_height : gavl_video_format_s
- image_width : gavl_video_format_s
- interlace_mode : gavl_video_frame_t , gavl_video_format_s
- interleave_mode : gavl_audio_format_t
- interpolate_16 : gavl_dsp_funcs_t
- interpolate_8 : gavl_dsp_funcs_t
- interpolate_f : gavl_dsp_funcs_t
- interpolate_rgb15 : gavl_dsp_funcs_t
- interpolate_rgb16 : gavl_dsp_funcs_t

### - n -

- num_channels : gavl_audio_format_t

### - o -

- ovl_rect : gavl_overlay_t

### - p -

- pixel_height : gavl_video_format_s
- pixel_width : gavl_video_format_s
- pixelformat : gavl_video_format_s
- planes : gavl_video_frame_t

### - r -

- rear_level : gavl_audio_format_t

### - s -

- s_16 : gavl_audio_samples_t , gavl_audio_channels_t
- s_32 : gavl_audio_channels_t , gavl_audio_samples_t
- s_8 : gavl_audio_samples_t , gavl_audio_channels_t
- sad_16 : gavl_dsp_funcs_t
- sad_8 : gavl_dsp_funcs_t
- sad_f : gavl_dsp_funcs_t
- sad_rgb15 : gavl_dsp_funcs_t
- sad_rgb16 : gavl_dsp_funcs_t
- sample_format : gavl_audio_format_t
- samplerate : gavl_audio_format_t
- samples : gavl_audio_frame_t
- samples_per_frame : gavl_audio_format_t
- strides : gavl_video_frame_t

### - t -

- timescale : gavl_video_format_s
- timestamp : gavl_video_frame_t , gavl_audio_frame_t

### - u -

- u_16 : gavl_audio_samples_t , gavl_audio_channels_t
- u_32 : gavl_audio_channels_t , gavl_audio_samples_t
- u_8 : gavl_audio_channels_t , gavl_audio_samples_t
- user_data : gavl_video_frame_t

### - v -

- valid_samples : gavl_audio_frame_t

### - w -

- w : gavl_rectangle_i_t , gavl_rectangle_f_t

### - x -

- x : gavl_rectangle_i_t , gavl_rectangle_f_t

### - y -

- y : gavl_rectangle_i_t , gavl_rectangle_f_t